Page MenuHomePhabricator

Mobile context in nested situations (e.g. link context inside a reference) is hopelessly broken
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  1. Open Mobile VE
  2. Add a basic reference
  3. Inside the basic reference dialog, insert a link
  4. Click on the link node that you just added

Observed Result:
The context menu for the link is appearing completely broken

Screenshot:

Event Timeline

Ryasmeen created this task.Feb 2 2017, 11:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2017, 11:06 PM
Jdforrester-WMF renamed this task from UI for link inspector context menu inside reference dialog is broken in Mobile VE to [Regression] Mobile context in nested situations (e.g. link context inside a reference) is hopelessly broken.Feb 6 2017, 7:13 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to Epics on the VisualEditor board.

Probably broken with the recent desktop/mobile code convergence.

Esanders renamed this task from [Regression] Mobile context in nested situations (e.g. link context inside a reference) is hopelessly broken to Mobile context in nested situations (e.g. link context inside a reference) is hopelessly broken.May 10 2017, 9:58 AM
Esanders lowered the priority of this task from High to Normal.

I don't think this has ever worked, as we've never worked on the mobile toolbar and context in target widgets.

matmarex claimed this task.Dec 30 2017, 3:23 AM
matmarex added a subscriber: Esanders.

Change 400955 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.TargetWidget: Emit an event to allow last-minute setup

https://gerrit.wikimedia.org/r/400955

Change 400957 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Fix context menu for mobile TargetWidgets

https://gerrit.wikimedia.org/r/400957

Change 400955 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ui.TargetWidget: Emit an event to allow last-minute setup

https://gerrit.wikimedia.org/r/400955

Change 402079 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b04645ac8)

https://gerrit.wikimedia.org/r/402079

Change 402079 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b04645ac8)

https://gerrit.wikimedia.org/r/402079

Change 400957 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix context menu for mobile TargetWidgets

https://gerrit.wikimedia.org/r/400957

Ryasmeen closed this task as Resolved.Jan 4 2018, 9:36 PM
Ryasmeen edited projects, added Verified; removed Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 4 2018, 9:36 PM
Jdforrester-WMF changed the point value for this task from 1 to 8.Jan 31 2018, 4:34 PM